# Ogre::Pass::HashFunc Struct Reference

Definition of a functor for calculating the hashcode of a Pass. More...

`#include <OgrePass.h>`

List of all members.

## Public Member Functions

virtual uint32 | operator() (const Pass *p) const =0
virtual | ~HashFunc ()
| Need virtual destructor in case subclasses use it.

## Detailed Description

Definition of a functor for calculating the hashcode of a Pass.

Remarks:
  The hashcode of a Pass is used to sort Passes for rendering, in order to reduce the number of render state changes. Each Pass represents a single unique set of states, but by ordering them, state changes can be minimised between passes. An implementation of this functor should order passes so that the elements that you want to keep constant are sorted next to each other.

See also:
  Pass::setHashFunc

Definition at line 93 of file OgrePass.h.

## Constructor & Destructor Documentation

virtual Ogre::Pass::HashFunc::~HashFunc | ( |  | ) | `[virtual]`

Need virtual destructor in case subclasses use it.

Definition at line 97 of file OgrePass.h.

## Member Function Documentation

virtual uint32 Ogre::Pass::HashFunc::operator() | ( | const Pass * | p | ) | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- OgrePass.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58